Public Class testmode

End Class
Public Class CtabRange
    Public devname As String = String.Empty
    Public fr As Integer = 0
    Public lr As Integer = 0
    Public fc As Integer = 0
    Public lc As Integer = 0
    Sub New(grd As FlexCell.Grid， tabr As Integer, tabc As Integer)
        If grd.Rows > tabr AndAlso grd.Cols > tabc Then
            With grd.Range(tabr, tabc, tabr, tabc)
                devname = grd.Cell(.FirstRow, .FirstCol).Text

                fc = .FirstCol

                lc = .LastCol

                fr = .FirstRow

                lr = .LastRow
            End With
        End If

    End Sub

End Class
